spacewalk spacewalk-proxy 路径遍历漏洞

CVE编号

CVE-2019-10137

利用情况

暂无

补丁情况

N/A

披露时间

2019-07-03
漏洞描述
spacewalk是一套开源的Linux系统管理解决方案。spacewalk-proxy是其中的一个代理程序。

spacewalk spacewalk-proxy 2.9版本中存在路径遍历漏洞,该漏洞源于网络系统或产品未能正确地过滤资源或文件路径中的特殊元素,攻击者可利用该漏洞访问受限目录之外的位置。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://spacewalkproject.github.io/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat satellite 5.0 -
运行在以下环境
应用 redhat spacewalk * Up to
(including)
2.9
CVSS3评分
9.8
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-22 对路径名的限制不恰当(路径遍历)
阿里云安全产品覆盖情况